(load-relative "../ssql-postgresql")
(use ssql)
(import ssql-postgresql)
(use test postgresql foops)

(define *test-postgresql-translator* 
  (derive-object (*postgresql-translator* self super)
                 ((escape-string string)
                  (super (ssql-connection) string))))

(register-sql-engine! (lambda (x) (eq? x #t)) *test-postgresql-translator*)

(test-begin "selects")
(test "Simple query"
  "SELECT actors.firstname, actors.lastname FROM actors"
  (ssql->sql #t `(select (columns actors.firstname actors.lastname)
                   (from actors))))
(test-end "selects")

(test-exit)